(ns rlm.classpath-utils
  (:require  [clojure.contrib [duck-streams :as ds]])
  (:use [clojure.contrib java-utils]))


(defn classpath []
  (get-system-property "java.class.path"))


(defn add-to-classpath [file-name]
  (wall-hack-method java.net.URLClassLoader
		    'addURL [java.net.URL]
		    (ClassLoader/getSystemClassLoader)
		    (.toURL (ds/file-str file-name))))


