(ns abomination-desolation)

;; The Abomination:

(defmacro dolet [& [_ eq :as s]]
  (if (and eq (= "=" (name eq)))
    (let [[lcl _ expr & more] s]
      `(let [~lcl ~expr]
	 (dolet ~@more)))
    (let [[expr & more] s]
      (if (empty? more)
	expr
	`(do ~expr (dolet ~@more))))))

;; The Desolation:

(defn doit []
  (dolet
   i = 5
   j = 10
   (println i j)
   k = (+ i j)
   (* k 2)))
